#!/usr/bin/env python3
from pathlib import Path
from sumfinder import load_sums, remove_invalid_sums
from linuxmem import read_meminfo_stdout


def main():
    sums = load_sums(Path('../expe001.5/alambix97-meminfo-sums.json'))
    print(f'starting sums ({len(sums)} sums):')
    print(sums)

    variables = read_meminfo_stdout(Path('../bug3897/alambix98/20240806-223916-meminfo.stdout'))
    # variables = read_meminfo_stdout(Path('../bug3897/alambix97/20240805-191606-meminfo.stdout'))
    (valid_sums, invalid_sums) = remove_invalid_sums(sums, variables)
    print(f'invalid sums ({len(invalid_sums)} sums):')
    print(invalid_sums)

    print(f'valid sums ({len(valid_sums)} sums):')
    print(valid_sums)


main()
